PipeWire: spa_loop_utils_methods Struct Reference

PipeWire 0.3.37

Data Fields
spa_loop_utils_methods Struct Reference
SPA Support Features

Create sources for an event loop. More...

`#include <loop.h>`

Collaboration diagram for spa_loop_utils_methods:
[legend]

## Data Fields
uint32_t | version
struct spa_source *(* | add_io )(void *object, int fd, uint32_t mask, bool close, spa_source_io_func_t func, void *data)
int(* | update_io )(void *object, struct spa_source *source, uint32_t mask)
struct spa_source *(* | add_idle )(void *object, bool enabled, spa_source_idle_func_t func, void *data)
int(* | enable_idle )(void *object, struct spa_source *source, bool enabled)
struct spa_source *(* | add_event )(void *object, spa_source_event_func_t func, void *data)
int(* | signal_event )(void *object, struct spa_source *source)
struct spa_source *(* | add_timer )(void *object, spa_source_timer_func_t func, void *data)
int(* | update_timer )(void *object, struct spa_source *source, struct timespec *value, struct timespec *interval, bool absolute)
struct spa_source *(* | add_signal )(void *object, int signal_number, spa_source_signal_func_t func, void *data)
void(* | destroy_source )(void *object, struct spa_source *source)
| destroy a source allocated with this interface. More...

## Detailed Description

Create sources for an event loop.

## Field Documentation

## ◆ add_event

struct spa_source *(* spa_loop_utils_methods::add_event) (void *object, spa_source_event_func_t func, void *data)

## ◆ add_idle

struct spa_source *(* spa_loop_utils_methods::add_idle) (void *object, bool enabled, spa_source_idle_func_t func, void *data)

## ◆ add_io

struct spa_source *(* spa_loop_utils_methods::add_io) (void *object, int fd, uint32_t mask, bool close, spa_source_io_func_t func, void *data)

## ◆ add_signal

struct spa_source *(* spa_loop_utils_methods::add_signal) (void *object, int signal_number, spa_source_signal_func_t func, void *data)

## ◆ add_timer

struct spa_source *(* spa_loop_utils_methods::add_timer) (void *object, spa_source_timer_func_t func, void *data)

## ◆ destroy_source

void(* spa_loop_utils_methods::destroy_source) (void *object, struct spa_source *source)

destroy a source allocated with this interface.

This function should only be called when the loop is not running or from the context of the running loop

## ◆ enable_idle

int(* spa_loop_utils_methods::enable_idle) (void *object, struct spa_source *source, bool enabled)

## ◆ signal_event

int(* spa_loop_utils_methods::signal_event) (void *object, struct spa_source *source)

## ◆ update_io

int(* spa_loop_utils_methods::update_io) (void *object, struct spa_source *source, uint32_t mask)

## ◆ update_timer

int(* spa_loop_utils_methods::update_timer) (void *object, struct spa_source *source, struct timespec *value, struct timespec *interval, bool absolute)

## ◆ version

uint32_t spa_loop_utils_methods::version

The documentation for this struct was generated from the following file:

- build/doc/spa/support/loop.h